{
  "name": "@lunarfront/backend",
  "version": "0.1.1",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "bun --env-file=../../.env --watch run src/main.ts",
    "start": "bun run src/main.ts",
    "test": "bun test || true",
    "test:watch": "bun test --watch",
    "api-test": "bun run api-tests/run.ts",
    "lint": "eslint src/",
    "db:generate": "bunx drizzle-kit generate",
    "db:migrate": "bunx drizzle-kit migrate",
    "db:seed-dev": "bun run src/db/seeds/dev-seed.ts",
    "db:seed-music": "bun run src/db/seeds/music-store-seed.ts",
    "db:seed-reset-repairs": "bun run src/db/seeds/reset-repairs.ts",
    "db:seed": "bun run src/db/seed.ts"
  },
  "dependencies": {
    "@fastify/cors": "^10",
    "@fastify/jwt": "^9",
    "@fastify/multipart": "^9.4.0",
    "@fastify/rate-limit": "^10.3.0",
    "@lunarfront/shared": "workspace:*",
    "@types/bcryptjs": "^3.0.0",
    "bcryptjs": "^3.0.3",
    "drizzle-orm": "^0.38",
    "fastify": "^5",
    "fastify-plugin": "^5",
    "ioredis": "^5",
    "postgres": "^3",
    "zod": "^4"
  },
  "devDependencies": {
    "@types/node": "^22",
    "drizzle-kit": "^0.30",
    "pino-pretty": "^13",
    "typescript": "^5"
  }
}
